Enneo

Website connector

List website connectors

GET /knowledgeSource/websiteConnector

GET /knowledgeSource/websiteConnector

Returns all website connectors (excluding deleted ones). Each connector includes its page count and data (with webhookSecret removed).

Responses

200 — Successful operation

Response Example

[
  {
    "id": 42,
    "name": "Example Website",
    "type": "website",
    "description": "string",
    "parent": 0,
    "pageCount": 15,
    "data": {
      "sourceConfig": {
        "url": "https://example.com",
        "maxPages": 100,
        "includePaths": [
          "string"
        ],
        "excludePaths": [
          "string"
        ]
      },
      "scheduleConfig": {
        "enabled": true,
        "frequency": "weekly",
        "status": "idle",
        "nextRunAt": "2026-01-01T12:00:00Z",
        "lastStartedAt": "2026-01-01T12:00:00Z",
        "lastCompletedAt": "2026-01-01T12:00:00Z",
        "firecrawlJobId": "string"
      },
      "crawlStats": {
        "new": 5,
        "changed": 2,
        "removed": 0,
        "same": 10,
        "error": 0
      },
      "lifecycleStatus": "active"
    }
  }
]

500 — Internal error